Loading...
Searching...
No Matches
fastjet::BasicRandom< double > Class Reference

More...

`#include <fastjet/internal/BasicRandom.hh>`

Inheritance diagram for fastjet::BasicRandom< double >:
[legend]
Collaboration diagram for fastjet::BasicRandom< double >:
[legend]

## Public Types

typedef double | value_type
typedef unsigned int | size_type
typedef value_type * | pointer

## Public Member Functions

| BasicRandom (int __s1=12345, int __s2=67890)
| constructor that takes two integers to specify the seed
value_type | operator() ()
| return a single pseudorandom double number, in the range 0.0 to 1.0 (not sure whether this range is open or closed)
void | operator() (size_type __n, pointer __res)
| given a pointer __res to the beginning of an array, fill that array with __n random numbers
void | operator() (size_type __n, pointer __res, std::vector< int > &__iseed)
| given a pointer __res to the beginning of an array, fill that array with __n random numbers
void | randomize (void *__iseed)
| (re)initialize the random number generator from an array of seeds
void | set_status (const std::vector< int > &__iseed)
void | get_status (std::vector< int > &__iseed)
void | print_info (std::ostream &__os=std::cout)
| print information about the generator to the stream

## Static Public Member Functions

static value_type | min ()
| minimum value returned by the generator
static value_type | max ()
| maximum value returned by the generator

## Detailed Description

Definition at line 163 of file BasicRandom.hh.

## Member Typedef Documentation

## value_type

typedef double fastjet::BasicRandom< double >::value_type

Definition at line 165 of file BasicRandom.hh.

## size_type

typedef unsigned int fastjet::BasicRandom< double >::size_type

Definition at line 166 of file BasicRandom.hh.

## pointer

typedef value_type* fastjet::BasicRandom< double >::pointer

Definition at line 167 of file BasicRandom.hh.

## Constructor & Destructor Documentation

## BasicRandom()

fastjet::BasicRandom< double >::BasicRandom | ( | int | __s1 = 12345,
|  | int | __s2 = 67890 )

inline explicit

constructor that takes two integers to specify the seed

Definition at line 170 of file BasicRandom.hh.

## Member Function Documentation

## operator()() [1/3]

value_type fastjet::BasicRandom< double >::operator() | ( |  | ) |

inline

return a single pseudorandom double number, in the range 0.0 to 1.0 (not sure whether this range is open or closed)

Definition at line 177 of file BasicRandom.hh.

## operator()() [2/3]

void fastjet::BasicRandom< double >::operator() | ( | size_type | __n,
|  | pointer | __res )

inline

given a pointer __res to the beginning of an array, fill that array with __n random numbers

Definition at line 183 of file BasicRandom.hh.

## operator()() [3/3]

void fastjet::BasicRandom< double >::operator() | ( | size_type | __n,
|  | pointer | __res,
|  | std::vector< int > & | __iseed )

inline

given a pointer __res to the beginning of an array, fill that array with __n random numbers

This now acquired an extra argument which allows to retreive the set of seeds used for this generation.

Definition at line 193 of file BasicRandom.hh.

## randomize()

void fastjet::BasicRandom< double >::randomize | ( | void * | __iseed | ) |

inline

(re)initialize the random number generator from an array of seeds

Definition at line 208 of file BasicRandom.hh.

## set_status()

void fastjet::BasicRandom< double >::set_status | ( | const std::vector< int > & | __iseed | ) |

inline

Definition at line 214 of file BasicRandom.hh.

## get_status()

void fastjet::BasicRandom< double >::get_status | ( | std::vector< int > & | __iseed | ) |

inline

Definition at line 220 of file BasicRandom.hh.

## min()

value_type fastjet::BasicRandom< double >::min | ( |  | ) |

inline static

minimum value returned by the generator

Definition at line 227 of file BasicRandom.hh.

## max()

value_type fastjet::BasicRandom< double >::max | ( |  | ) |

inline static

maximum value returned by the generator

Definition at line 229 of file BasicRandom.hh.

## print_info()

void fastjet::BasicRandom< double >::print_info | ( | std::ostream & | __os = std::cout | ) |

inline

print information about the generator to the stream

Definition at line 232 of file BasicRandom.hh.

The documentation for this class was generated from the following file:

- include/fastjet/internal/BasicRandom.hh